Bug 1125986 - kernel stucking in combination with radeon driver
Summary: kernel stucking in combination with radeon driver
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 14:28 UTC by Gerd Otto
Modified: 2015-06-29 21:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:53:43 UTC


Attachments (Terms of Use)

Description Gerd Otto 2014-08-01 14:28:50 UTC
Description of problem:
The kernel crashes/stuck on boot when try to enter Xorg (xdm-login). This is not reportable by ABRT, but the message is:
   WARNING: CPU: 2 PID: 278 at drivers/gpu/drm/radeon/radeon_gart.c:234 
                        radeon_gart_unbind+0xca/0xe0 [radeon]() 

Don't know whether it is correct to associate this bug with the kernel instead of xorg-x11-drv-ati, but the problem occurs only with kernels >= 3.15.x. Last working kernel is 3.14.9.

There is a similiar unassigned bug: 1052044 - but stems from january 2014 (kernel 3.12) and seems not apply to kernels >= 3.15.x but maybe related in any way. Bug 1109487 shows the same behaviour, but seems to have another cause (kernel 3.14). 

Version-Release number of selected component (if applicable):
kernel 3.15.x at least up to 3.15.7

How reproducible:
Every time on boot (on a similiar configuration like mine).

Steps to Reproduce:
1. Try to boot Fedora with X (on a similiar configuration like mine).

Actual results:
kernel stucks on boot when reaching Xorg. 'Stucks' mean total Unresponsiblity, even for CTRL+ALT+DEL. Only pushing the power-button allows to shutdown.

Expected results:
Successful boot

Additional info: (some collected info from ABRT-folder)
time: 1406890501
last occurence: 1406890501
analyzer: Kerneloops
type: Kerneloops
architecture: x86_64

kernel: 3.15.7-200.fc20.x86_64
reason:
	WARNING: CPU: 2 PID: 278 at drivers/gpu/drm/radeon/radeon_gart.c:234 radeon_gart_unbind+0xca/0xe0 [radeon]()

cmdline:
	BOOT_IMAGE=/vmlinuz-3.15.7-200.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 rd.lvm.lv=fedora/root 
	vconsole.keymap=de rhgb quiet LANG=de_DE.UTF-8 biosdevname=0

	
os info:
NAME=Fedora
VERSION="20 (Heisenbug)"
ID=fedora
VERSION_ID=20
PRETTY_NAME="Fedora 20 (Heisenbug)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:fedoraproject:fedora:20"
HOME_URL="https://fedoraproject.org/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="Fedora"
REDHAT_BUGZILLA_PRODUCT_VERSION=20
REDHAT_SUPPORT_PRODUCT="Fedora"
REDHAT_SUPPORT_PRODUCT_VERSION=20



backtrace:
WARNING: CPU: 2 PID: 278 at drivers/gpu/drm/radeon/radeon_gart.c:234 radeon_gart_unbind+0xca/0xe0 [radeon]()
trying to unbind memory from uninitialized GART !
Modules linked in: ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw vfat fat snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi arc4 snd_hda_intel brcmsmac snd_hda_controller snd_hda_codec cordic snd_hwdep kvm_amd brcmutil snd_seq snd_seq_device snd_pcm kvm snd_timer uvcvideo b43 mac80211 crct10dif_pclmul videobuf2_vmalloc videobuf2_memops videobuf2_core crc32_pclmul crc32c_intel joydev btusb videodev ghash_clmulni_intel snd cfg80211 bluetooth ssb microcode bcma sdhci_pci media serio_raw sdhci k10temp mmc_core ideapad_laptop wmi sparse_keymap rfkill soundcore shpchp video i2c_piix4 acpi_cpufreq radeon i2c_algo_bit drm_kms_helper ttm drm r8169 i2c_core mii
CPU: 2 PID: 278 Comm: kworker/2:2 Tainted: G        W I   3.15.7-200.fc20.x86_64 #1
Hardware name: LENOVO IdeaPad Z585/Lenovo          , BIOS 60CN92WW 10/16/2012
Workqueue: pciehp-0 pciehp_power_thread
 0000000000000000 0000000001c86d58 ffff8802213af8d0 ffffffff816ef92e
 ffff8802213af918 ffff8802213af908 ffffffff8108933d ffff880220b70000
 ffff88022382bc48 ffff88003f0a7600 ffff8802213afab8 ffff88022382bc48
Call Trace:
 [<ffffffff816ef92e>] dump_stack+0x45/0x56
 [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810893bc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa00dbbda>] radeon_gart_unbind+0xca/0xe0 [radeon]
 [<ffffffffa00d8a7a>] radeon_ttm_backend_unbind+0x1a/0x20 [radeon]
 [<ffffffffa0094fe7>] ttm_tt_unbind+0x27/0x40 [ttm]
 [<ffffffffa0098688>] ttm_bo_move_ttm+0xd8/0x120 [ttm]
 [<ffffffffa0096fd3>] ttm_bo_handle_move_mem+0x513/0x5b0 [ttm]
 [<ffffffffa0097666>] ? ttm_bo_mem_space+0x116/0x340 [ttm]
 [<ffffffffa00971fa>] ttm_bo_evict+0x18a/0x350 [ttm]
 [<ffffffffa00974dd>] ttm_mem_evict_first+0x11d/0x190 [ttm]
 [<ffffffffa00978f4>] ttm_bo_force_list_clean+0x64/0xb0 [ttm]
 [<ffffffffa0097987>] ttm_bo_clean_mm+0x47/0x80 [ttm]
 [<ffffffffa00da15b>] radeon_ttm_fini+0xeb/0x1b0 [radeon]
 [<ffffffffa00dac52>] radeon_bo_fini+0x12/0x20 [radeon]
 [<ffffffffa01266eb>] evergreen_fini+0xab/0xd0 [radeon]
 [<ffffffffa00bdf4e>] radeon_device_fini+0x3e/0x120 [radeon]
 [<ffffffffa00c0188>] radeon_driver_unload_kms+0x48/0x60 [radeon]
 [<ffffffffa00407a9>] drm_dev_unregister+0x29/0xb0 [drm]
 [<ffffffffa0040d13>] drm_put_dev+0x23/0x70 [drm]
 [<ffffffffa00bc27d>] radeon_pci_remove+0x1d/0x20 [radeon]
 [<ffffffff8138fb7b>] pci_device_remove+0x3b/0xb0
 [<ffffffff8145e48f>] __device_release_driver+0x7f/0xf0
 [<ffffffff8145e523>] device_release_driver+0x23/0x30
 [<ffffffff81388f64>] pci_stop_bus_device+0x94/0xa0
 [<ffffffff81389052>] pci_stop_and_remove_bus_device+0x12/0x20
 [<ffffffff813a3ea0>] pciehp_unconfigure_device+0xb0/0x1c0
 [<ffffffff813a3882>] pciehp_disable_slot+0x52/0xd0
 [<ffffffff813a39ea>] pciehp_power_thread+0xea/0x150
 [<ffffffff810a4af6>] process_one_work+0x176/0x430
 [<ffffffff810a578b>] worker_thread+0x11b/0x3a0
 [<ffffffff810a5670>] ? rescuer_thread+0x3b0/0x3b0
 [<ffffffff810ac528>] kthread+0xd8/0xf0
 [<ffffffff810ac450>] ? insert_kthread_work+0x40/0x40
 [<ffffffff816ff8bc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810ac450>] ? insert_kthread_work+0x40/0x40



proc modules:
vfat 17411 1 - Live 0xffffffffa04df000
fat 60923 1 vfat, Live 0xffffffffa04c9000
arc4 12608 2 - Live 0xffffffffa039a000
brcmsmac 539158 0 - Live 0xffffffffa0694000
cordic 12525 1 brcmsmac, Live 0xffffffffa0382000
brcmutil 14880 1 brcmsmac, Live 0xffffffffa02db000
b43 387900 0 - Live 0xffffffffa0583000
btusb 28290 0 - Live 0xffffffffa049f000
mac80211 624001 2 brcmsmac,b43, Live 0xffffffffa05fa000
snd_hda_codec_realtek 65892 1 - Live 0xffffffffa05e8000
bluetooth 408672 2 btusb, Live 0xffffffffa051e000
snd_hda_codec_generic 66943 1 snd_hda_codec_realtek, Live 0xffffffffa050c000
snd_hda_codec_hdmi 46421 1 - Live 0xffffffffa0492000
kvm_amd 60017 0 - Live 0xffffffffa04a8000
snd_hda_intel 56402 2 - Live 0xffffffffa04ba000
cfg80211 513286 3 brcmsmac,b43,mac80211, Live 0xffffffffa0413000
kvm 460181 1 kvm_amd, Live 0xffffffffa03a1000
ssb 66616 1 b43, Live 0xffffffffa0388000
ideapad_laptop 18216 0 - Live 0xffffffffa0353000
sdhci_pci 23172 0 - Live 0xffffffffa037b000
sdhci 38319 1 sdhci_pci, Live 0xffffffffa0348000
snd_hda_codec 129201 4 snd_hda_codec_realtek,snd_hda_codec_generic,snd_hda_codec_hdmi,snd_hda_intel, Live 0xffffffffa035a000
crct10dif_pclmul 14289 0 - Live 0xffffffffa0343000
crc32_pclmul 13113 0 - Live 0xffffffffa0318000
mmc_core 116661 4 b43,ssb,sdhci_pci,sdhci, Live 0xffffffffa0325000
6lowpan_iphc 18591 1 bluetooth, Live 0xffffffffa0312000
sparse_keymap 13584 1 ideapad_laptop, Live 0xffffffffa02ce000
snd_hwdep 17650 1 snd_hda_codec, Live 0xffffffffa0301000
uvcvideo 80968 0 - Live 0xffffffffa02ec000
crc32c_intel 22079 0 - Live 0xffffffffa031e000
rfkill 21979 3 bluetooth,cfg80211,ideapad_laptop, Live 0xffffffffa02c7000
videobuf2_vmalloc 13163 1 uvcvideo, Live 0xffffffffa02d6000
ghash_clmulni_intel 13216 0 - Live 0xffffffffa02c2000
joydev 17332 0 - Live 0xffffffffa030c000
videobuf2_memops 13161 1 videobuf2_vmalloc, Live 0xffffffffa0307000
microcode 44576 0 - Live 0xffffffffa02e0000
snd_seq 60752 0 - Live 0xffffffffa02b2000
snd_seq_device 14136 1 snd_seq, Live 0xffffffffa00e0000
snd_pcm 103489 3 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec, Live 0xffffffffa0297000
videobuf2_core 39266 1 uvcvideo, Live 0xffffffffa00d5000
videodev 147071 2 uvcvideo,videobuf2_core, Live 0xffffffffa0272000
bcma 46072 3 brcmsmac,b43, Live 0xffffffffa0265000
snd_timer 28698 2 snd_seq,snd_pcm, Live 0xffffffffa025c000
i2c_piix4 22155 0 - Live 0xffffffffa0251000
serio_raw 13413 0 - Live 0xffffffffa00d0000
media 20840 2 uvcvideo,videodev, Live 0xffffffffa00c5000
k10temp 13126 0 - Live 0xffffffffa008d000
wmi 18804 0 - Live 0xffffffffa0083000
shpchp 37032 0 - Live 0xffffffffa00a6000
snd 75574 14 snd_hda_codec_realtek,snd_hda_codec_generic,snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer, Live 0xffffffffa00b1000
soundcore 14491 1 snd, Live 0xffffffffa00a1000
acpi_cpufreq 19393 0 - Live 0xffffffffa009b000
video 19261 0 - Live 0xffffffffa0019000
radeon 1384175 2 - Live 0xffffffffa00fb000
i2c_algo_bit 13257 1 radeon, Live 0xffffffffa0096000
drm_kms_helper 50652 1 radeon, Live 0xffffffffa000b000
ttm 80614 1 radeon, Live 0xffffffffa00e6000
r8169 71677 0 - Live 0xffffffffa0070000
drm 283747 4 radeon,drm_kms_helper,ttm, Live 0xffffffffa0029000
mii 13527 1 r8169, Live 0xffffffffa0022000
i2c_core 38656 6 videodev,i2c_piix4,radeon,i2c_algo_bit,drm_kms_helper,drm, Live 0xffffffffa0000000


suspend stats:
	success: 0
	fail: 0
	failed_freeze: 0
	failed_prepare: 0
	failed_suspend: 0
	failed_suspend_late: 0
	failed_suspend_noirq: 0
	failed_resume: 0
	failed_resume_early: 0
	failed_resume_noirq: 0
	failures:
	  last_failed_dev:	
	  last_failed_errno:	0
	  last_failed_step:	





lspci | egrep -i vga
00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Trinity [Radeon HD 7660G]
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Thames [Radeon HD 7500M/7600M Series] (rev ff)



yum list installed Xorg*
xorg-x11-drv-ati.x86_64         7.2.0-3.20131101git3b38701.fc20           
xorg-x11-drv-evdev.x86_64       2.8.4-1.fc20 
xorg-x11-drv-fbdev.x86_64       0.4.3-10.fc20
xorg-x11-drv-intel.x86_64       2.21.15-7.fc20            
xorg-x11-drv-mga.x86_64         1.6.2-8.fc20 
xorg-x11-drv-modesetting.x86_64 0.8.0-3.fc19 
xorg-x11-drv-nouveau.x86_64     1:1.0.9-2.fc20            
xorg-x11-drv-openchrome.x86_64  0.3.3-2.fc20 
xorg-x11-drv-qxl.x86_64         0.1.1-4.fc20 
xorg-x11-drv-synaptics.x86_64   1.7.6-2.fc20 
xorg-x11-drv-vesa.x86_64        2.3.2-10.fc20
xorg-x11-drv-vmmouse.x86_64     13.0.0-6.fc20
xorg-x11-drv-vmware.x86_64      13.0.2-4.20140613git82c9b0c.fc20          
xorg-x11-drv-wacom.x86_64       0.23.0-5.fc20
xorg-x11-font-utils.x86_64      1:7.5-18.fc20
xorg-x11-fonts-ISO8859-1-100dpi.noarch          7.5-9.fc20   
xorg-x11-fonts-Type1.noarch     7.5-9.fc20   
xorg-x11-glamor.x86_64          0.5.1-3.20140115gitfb4d046c.fc20          
xorg-x11-proto-devel.noarch     7.7-10.fc20  
xorg-x11-server-Xorg.x86_64     1.14.4-11.fc20            
xorg-x11-server-common.x86_64   1.14.4-11.fc20            
xorg-x11-server-utils.x86_64    7.7-6.fc20   
xorg-x11-utils.x86_64           7.5-12.fc20  
xorg-x11-xauth.x86_64           1:1.0.9-1.fc20            
xorg-x11-xinit.x86_64           1.3.2-9.fc20 
xorg-x11-xkb-utils.x86_64       7.7-8.fc20

Comment 1 Fedora End Of Life 2015-05-29 12:32:22 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 21:53:43 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.